Subject: Re: [PATCH RFC russell-king 3/4] net: phy: marvell10g: change MACTYPE according to phydev->interface

From: Russell King - ARM Linux admin <[email-masked]>
Date: Wed, 12 Aug 2020 17:30:16 +0100

On Wed, Aug 12, 2020 at 06:28:17PM +0200, Marek Behún wrote:
> On Wed, 12 Aug 2020 17:22:32 +0100
> Russell King - ARM Linux admin <[email-masked]> wrote:
> 
> > On Wed, Aug 12, 2020 at 06:13:33PM +0200, Marek Behún wrote:
> > > The MACTYPE is not being lost. But changing it requires Port
> > > Software Reset, which resets the link, so it cannot be done for
> > > example in read_status.  
> > 
> > Wouldn't the right place to configure it be in the config_init()
> > method - which is called once we have a MAC attaching to the PHY?
> > As I mentioned, if we had a way to pass the MAC interface supported
> > mask into phylib, config_init() could then use that to determine what
> > to do.
> > 
> 
> It is done from config_init. mv3310_power_up is called from
> mv3310_config_init.

I think it'll be best to resume this once we have saner weather.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!